classification
Title: add *deterministic* parameter to sqlite3.Connection.create_function()
Type: enhancement Stage: resolved
Components: Extension Modules Versions: Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: berker.peksag, rian, sir-sigurd
Priority: normal Keywords: patch

Created on 2018-07-04 10:04 by sir-sigurd, last changed 2018-10-04 21:05 by rian. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 8086 merged sir-sigurd, 2018-07-04 10:06
Messages (3)
msg321027 - (view) Author: Sergey Fedoseev (sir-sigurd) * Date: 2018-07-04 10:04
SQLiter 3.8.3 and higher allows to mark created functions as deterministic to allow additional optimizations. There isn't currently a way to it from Python.

https://sqlite.org/c3ref/create_function.html
msg321263 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2018-07-08 07:09
New changeset 0830858aeedecc9ece60349f8c31c2690d1a99f8 by Berker Peksag (Sergey Fedoseev) in branch 'master':
bpo-34041: Allow creating deterministic functions in Connection.create_function() (GH-8086)
https://github.com/python/cpython/commit/0830858aeedecc9ece60349f8c31c2690d1a99f8
msg327086 - (view) Author: (rian) Date: 2018-10-04 21:05
Any possible way we can backport these changes to Python 3.5+? 3.8 is a ways away.
History
Date User Action Args
2018-10-04 21:05:46riansetnosy: + rian
messages: + msg327086
2018-07-08 07:09:57berker.peksagsetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2018-07-08 07:09:22berker.peksagsetnosy: + berker.peksag
messages: + msg321263
2018-07-06 16:47:16berker.peksagsetversions: + Python 3.8
2018-07-04 10:06:04sir-sigurdsetkeywords: + patch
stage: patch review
pull_requests: + pull_request7687
2018-07-04 10:04:14sir-sigurdcreate